This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 165612 - Review Request: gfontview
Review Request: gfontview
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://gfontview.sourceforge.net
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-10 15:52 EDT by Kirby Files
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 19:38:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kirby Files 2005-08-10 15:52:54 EDT
Spec Name or Url: gfontview.spec
SRPM Name or Url: http://home.comcast.net/~ksfiles/files/gfontview-0.5.0-2.src.rpm
Description: gfontview is a Font Viewer for outline fonts (PostScript Type 1 and TrueType).

Folks,
  The gfontview upstream maintainer has been inactive for a while,
which is why, I'm guessing, gfontview has not been included in FC
extras. However, it is a very useful package. Despite its lack of
recent enhancements, it offers better font tables and font catalog
generation than kfontview and gnome-font-viewer. It works with both
Type1 and TTF files.

  Debian has been maintaining recent updates to the package, and I
have taken some of their work to merge a patch to the old
gfontview-0.5.0-1 that fixes GCC4 breakages. The resulting package is
stable and tested (by me). A working package or source for FC4 is not
easily downloadable from any third party, so it would be great to have
it included in FC4-extras. All code is GPL. I would be happy to
maintain this package, should further updates become necessary.

Thanks,
---
Kirby Files
ksfiles@gmail.com
Comment 1 Aurelien Bompard 2005-09-26 03:49:13 EDT
Review:
* BuildRoot: should be
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* Missing SMP flags ( make %{?_smp_mflags} )
* BuildRquires should be gtk+-devel, not gtk+. Please tests your package build
  in mock to make sure no BR is missing.
* Please drop the Mandriva-specific header
* Don't set Vendor or Packager, they are set by the build system
* just use %configure instead of ./configure --prefix=
* replace /usr/share/ with %{_datadir}
* install with "make DESTDIR=$RPM_BUILD_ROOT install"
* %post is empty, you can remove it
* in the %files list, use %{_bindir} instead of %{prefix}/bin and %{_datadir} 
  instead of %{prefix}/share
* use the %{find_lang} macro to find the language files and tag them as such.
An example spec file for Fedora can be found in the fedora-rpmdevtools package
Comment 2 Michael A. Peters 2005-09-26 23:50:03 EDT
http://mpeters.us/fc_extras/gfontview-0.5.0-3.fc4.src.rpm
http://mpeters.us/fc_extras/gfontview.spec

I hope this isn't too presumptuos of me, but despite it being gtk+ (opposed to
gtk2+) - this looks like an app that will be particularly useful for something
personal I am working on at the moment - so I went ahead and cleaned up the spec
file and got it to build in mock.

There are still three (trivial) issues I am aware of:

1) Patch0 needs its name changed
2) the desktop file needs to be modified somewhat
3) I should have changed the Group (rpmlint doesn't like it)

Aurelien, other than those issues, do my modifications to spec file look OK to you?

Kirby, are you OK with those changes?

-=-
Oh - I verified source tarball matches upstream as well.
Comment 3 Aurelien Bompard 2005-09-27 05:23:29 EDT
Those changes are OK with me, with a few exceptions :
- in the ./configure there is :
checking for gnome-config... no
===>Gnome not found. Building without it.
Missing BuildRequires ?
- The config file is installed in /usr/share/gfontviewrc
- each %files section should have a %defattr line 
  (wiki: PackageReviewGuidelines)
- Desktop file: the Categories tag should contain Application 
  (wiki: PackagingGuidelines#desktop)

Whose name is going to be put in owners.list, and therefore who's going to be
the assignee for gfontview's bugs ?
Comment 4 Michael A. Peters 2005-09-27 13:14:06 EDT
> 
> Whose name is going to be put in owners.list, and therefore who's going to be
> the assignee for gfontview's bugs ?

Kirby is the owner/maintainer.
He would have to accept the changes (or make some on his own that fix the
issues) before it could be approved.

If Kirby hasn't been sponsored, I would be willing to import/maintain it until
has been sponsored. The spec file I did is for him to use if he wants it. This
tool is a lot nicer than xfd for viewing fonts, I primarily modified the spec so
I could build it and use it myself.
Comment 5 Kirby Files 2005-09-27 15:53:57 EDT
Thanks Aurelien and Michael both. I appreciate the updated spec, and I'll add
the rest of these changes to my spec. One question: what *should* the config
file path be, if not /usr/share/gfontview?

I have no CVS privileges, so I would love it if you could import the project for
me, Michael. I am definitely not the owner, but in the absence of a responsive
owner of the upstream source, would be happy to be a maintainer.
Comment 6 Michael A. Peters 2005-09-27 16:45:20 EDT
I think gfontviewrc should be in /usr/share/gfontview/
That's where Debian puts it.

In a few minutes I'll upload a newer version of my spec file that should address
everything.
Comment 7 Kirby Files 2005-09-27 17:06:11 EDT
./configure is looking for the old gnome-config binary (using AC_PATH_PROG) to
figure out the path for gnome libraries. What test should it use to find if
libgnome is available?
Comment 8 Ignacio Vazquez-Abrams 2005-09-27 17:43:10 EDT
You don't. You add gnome-libs-devel to BuildRequires.
Comment 9 Aurelien Bompard 2005-09-27 17:46:22 EDT
> I think gfontviewrc should be in /usr/share/gfontview/

Yes, the idea is that there should only be directories in /usr/share (with a few
exceptions)

> ./configure is looking for the old gnome-config binary

Since gfontview is a gtk+ app, there is probably no way to make it work with
GNOME 2+...
Comment 10 Michael A. Peters 2005-09-27 17:52:09 EDT
I've uploaded a new spec file

http://mpeters.us/fc_extras/gfontview.spec
http://mpeters.us/fc_extras/gfontview-0.5.0-4.fc4.src.rpm

I *think* that should take care everything if Kirby wants to use them.
Comment 11 Aurelien Bompard 2005-09-28 03:32:37 EDT
Review for release 4.fc4:
* RPM name is OK
* Source gfontview-0.5.0.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of gfontview looks OK
* File list of gfontview looks OK
* Works fine

Kirby, if you're OK with those changes, you're APPROVED.
Comment 12 Kirby Files 2005-09-30 11:48:50 EDT
Thanks, Michael, for all your work on this. Looking at what you did explains a
lot to me about how to package things correctly. I think you spec and patches
look fine.

So what's the next step towards inclusion? Can someone help me by importing the
package into CVS?
Comment 13 Michael A. Peters 2005-09-30 19:52:53 EDT
Aurelien Bompard -

Is it OK if I import this into CVS and take temporary owenership until Kirby is
sponsored?
Comment 14 Aurelien Bompard 2005-10-01 03:08:13 EDT
Fine with me. Kirby, did you ask for a sponsor ? What you now have to do is
described here : http://fedoraproject.org/wiki/Extras/Contributors. You're at
step 8.
Comment 15 Michael A. Peters 2005-10-02 19:38:13 EDT
Imported into cvs, branched for fc-3 fc-4, builds on all platforms for
fc-3/fc-4/devel

Kirby, when you get a sponsor, you can take ownership.

Note You need to log in before you can comment on or make changes to this bug.